GNU bug report logs - #10975
'make dist-gz dist-xz' fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: minor; Reported by: Olaf Lenz <olenz@HIDDEN>; dated Fri, 9 Mar 2012 07:52:01 UTC; Maintainer for automake is bug-automake@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10975 <at> debbugs.gnu.org:


Received: (at 10975) by debbugs.gnu.org; 9 Mar 2012 20:37:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 15:37:50 2012
Received: from localhost ([127.0.0.1]:41075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S66ZR-0008Rl-ET
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 15:37:50 -0500
Received: from mail-wi0-f180.google.com ([209.85.212.180]:44147)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1S66ZO-0008Rb-Ld
	for 10975 <at> debbugs.gnu.org; Fri, 09 Mar 2012 15:37:48 -0500
Received: by wibhm17 with SMTP id hm17so805063wib.15
	for <10975 <at> debbugs.gnu.org>; Fri, 09 Mar 2012 12:36:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=message-id:date:from:mime-version:to:subject:references:in-reply-to
	:content-type; bh=vnK97BAz0u6V2GNUlv4+pj3Jya6Ynb37++J4zFBE/tM=;
	b=Jn7YlzWLPo5ze68sA+fkN6LXnXWsO8ZxQ67ihtVM8odSqVeRRUu/OGqNctoSjy6kKI
	iaYKsvysN/7ZJ0EMywYKjLBLyCugXcKpR0kYHGApKN7HTpmb6yVRwNnTB4LlmBghfp5g
	VquSJy9QK5SVQzV7abzRdAkTl72/jf4m/hxPEid2hM3vm3uR/zv2vbZkybpAV4DNGeWA
	BwQcBfbyrMxMuLNZFwmuH54SYu8m6dOUNebYKnoNygNHyfcTuCGg8Tkynn5zORwgw6kg
	dwX/5efCu0cmsa9LvupaNOw70n3ZHjUyEyw3AL90NMVqL2lDAfQgPRobpBD5T2dLgBJU
	dhEQ==
Received: by 10.180.83.198 with SMTP id s6mr7953152wiy.8.1331325407282;
	Fri, 09 Mar 2012 12:36:47 -0800 (PST)
Received: from [87.0.103.201]
	(host201-103-dynamic.0-87-r.retail.telecomitalia.it. [87.0.103.201])
	by mx.google.com with ESMTPS id fw5sm8003402wib.0.2012.03.09.12.36.44
	(version=SSLv3 cipher=OTHER); Fri, 09 Mar 2012 12:36:45 -0800 (PST)
Message-ID: <4F5A69DA.4020804@HIDDEN>
Date: Fri, 09 Mar 2012 21:36:42 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: 10975 <at> debbugs.gnu.org
Subject: Re: bug#10975: 'make dist-gz dist-xz' fails
References: <4F587A58.1020906@HIDDEN>
	<m3ipidpn4p.fsf@HIDDEN>
In-Reply-To: <m3ipidpn4p.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------040209020401040700030809"
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10975
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

This is a multi-part message in MIME format.
--------------040209020401040700030809
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

Hi Olaf, Tim.

On 03/09/2012 08:53 PM, Tim Landscheidt wrote:
> Olaf Lenz <olenz@HIDDEN> wrote:
> 
>> [...]
>> The problem seems to be a race condition.
>> "make dist-bzip2" populates the distribution dir, tars it and deletes it
>> after 5 seconds.
>
Nope -- it deletes it *immediately*, and then re-tries to delete it after 5
seconds if the first deletion fails.  This is done in an attempt to accommodate
systems like MinGW where an "active" directory cannot be deleted:

 <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10470>

 During that time "make dist-xz" has started and noticed
>> that the distdir already exists. Unfortunately, it is deleted while
>> dist-xz is still packing.
> 
> For a possible workaround, see
> <URI:http://permalink.gmane.org/gmane.comp.sysutils.automake.bugs/4940>.
> I agree that it would be nice to fix this properly.
> 
> Tim
> 
I've reproduced the bug with the attached test case (committed to maint).

I've also verified that the bug was also present in automake 1.11.2 and
automake 1.11.1, so this is not a regression introduced by the "sleep 5"
change referenced above.

For the moment, and until the bug is properly fixed, my advice is: don't
run multiple "dist-*" targets in the same make invocations.

Regards,
  Stefano

--------------040209020401040700030809
Content-Type: text/x-diff;
 name="0001-coverage-expose-automake-bug-10975.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-coverage-expose-automake-bug-10975.patch"

From 370e5775c20872a8f2b5c1e520b31dc1544b9cd8 Mon Sep 17 00:00:00 2001
Message-Id: <370e5775c20872a8f2b5c1e520b31dc1544b9cd8.1331325358.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Fri, 9 Mar 2012 21:35:04 +0100
Subject: [PATCH] coverage: expose automake bug#10975

* tests/dist-pr10975.test: New test.
* tests/list-of-tests.mk: Add it.
* tests/Makefile.am (XFAIL_TESTS): Likewise.
---
 tests/Makefile.am        |    1 +
 tests/dist-pr109765.test |   44 ++++++++++++++++++++++++++++++++++++++++++++
 tests/list-of-tests.mk   |    1 +
 3 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 tests/dist-pr109765.test

diff --git a/tests/Makefile.am b/tests/Makefile.am
index d909942..b8ede30 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -23,6 +23,7 @@ auxdir2.test \
 cond17.test \
 dist-auxfile.test \
 dist-auxfile-2.test \
+dist-pr109765.test \
 gcj6.test \
 java-nobase.test \
 objext-pr10128.test \
diff --git a/tests/dist-pr109765.test b/tests/dist-pr109765.test
new file mode 100755
index 0000000..d656d56
--- /dev/null
+++ b/tests/dist-pr109765.test
@@ -0,0 +1,44 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Expose automake bug#10975: when several "dist-*" targets are invoked
+# on the make command line, the first one ends up removing the distdir,
+# so that the latter ones fail.
+
+required=bzip2
+. ./defs || Exit 1
+
+set -e
+
+echo AC_OUTPUT >> configure.in
+: > Makefile.am
+
+$ACLOCAL  || fatal_ "aclocal failed"
+$AUTOCONF || fatal_ "autoconf failed"
+$AUTOMAKE || fatal_ "automake failed"
+
+./configure
+$MAKE dist-gzip dist-bzip2
+
+gzip -dc $distdir.tar.gz | tar tf - > one || { cat one; Exit 1; }
+cat one
+bzip2 -dc $distdir.tar.gz | tar tf - > two || { cat two; Exit 1; }
+cat two
+
+$FGREP "$distdir/Makefile.am" one
+diff one two
+
+:
diff --git a/tests/list-of-tests.mk b/tests/list-of-tests.mk
index 420b56b..023bf3b 100644
--- a/tests/list-of-tests.mk
+++ b/tests/list-of-tests.mk
@@ -332,6 +332,7 @@ dist-included-parent-dir.test \
 dist-missing-am.test \
 dist-missing-included-m4.test \
 dist-missing-m4.test \
+dist-pr109765.test \
 distcleancheck.test \
 distcom2.test \
 distcom3.test \
-- 
1.7.9


--------------040209020401040700030809--




Information forwarded to bug-automake@HIDDEN:
bug#10975; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Mar 2012 19:54:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 14:54:31 2012
Received: from localhost ([127.0.0.1]:41004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S65tX-0006du-09
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 14:54:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38117)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65tR-0006dj-Ti
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 14:54:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sV-0000OW-FD
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 14:53:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:53279)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sV-0000OS-Bv
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 14:53:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42946)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sT-0001dH-HL
	for bug-automake@HIDDEN; Fri, 09 Mar 2012 14:53:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sR-0000Nv-CZ
	for bug-automake@HIDDEN; Fri, 09 Mar 2012 14:53:24 -0500
Received: from plane.gmane.org ([80.91.229.3]:40140)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sR-0000Np-65
	for bug-automake@HIDDEN; Fri, 09 Mar 2012 14:53:23 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <gnu-bug-automake@HIDDEN>) id 1S65sO-00032V-N9
	for bug-automake@HIDDEN; Fri, 09 Mar 2012 20:53:20 +0100
Received: from d176252.adsl.hansenet.de ([80.171.176.252])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-automake@HIDDEN>; Fri, 09 Mar 2012 20:53:20 +0100
Received: from tim by d176252.adsl.hansenet.de with local (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-automake@HIDDEN>; Fri, 09 Mar 2012 20:53:20 +0100
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-automake@HIDDEN
To: bug-automake@HIDDEN
From: Tim Landscheidt <tim@HIDDEN>
Subject: Re: bug#10975: 'make dist-gz dist-xz' fails
Date: Fri, 09 Mar 2012 19:53:10 +0000
Organization: <URI:http://www.tim-landscheidt.de/>
Lines: 14
Message-ID: <m3ipidpn4p.fsf@HIDDEN>
References: <4F587A58.1020906@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: d176252.adsl.hansenet.de
Mail-Copies-To: never
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
Cancel-Lock: sha1:il2c/pqTFbkkIOVw0KF5oym935s=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Olaf Lenz <olenz@HIDDEN> wrote:

> [...]
> The problem seems to be a race condition.
> "make dist-bzip2" populates the distribution dir, tars it and deletes it
> after 5 seconds. During that time "make dist-xz" has started and noticed
> that the distdir already exists. Unfortunately, it is deleted while
> dist-xz is still packing.

For a possible workaround, see
<URI:http://permalink.gmane.org/gmane.comp.sysutils.automake.bugs/4940>.
I agree that it would be nice to fix this properly.

Tim





Information forwarded to bug-automake@HIDDEN:
bug#10975; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Mar 2012 07:51:38 +0000
From olenz@HIDDEN Thu Mar 08 04:24:04 2012
Received: from eggs.gnu.org ([208.118.235.92]:54027)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <olenz@HIDDEN>) id 1S5ZZi-0003Cc-FW
	for submit <at> debbugs.gnu.org; Thu, 08 Mar 2012 04:24:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olenz@HIDDEN>) id 1S5ZYe-00051t-S3
	for submit <at> debbugs.gnu.org; Thu, 08 Mar 2012 04:22:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:33132)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olenz@HIDDEN>) id 1S5ZYe-00051j-OU
	for submit <at> debbugs.gnu.org; Thu, 08 Mar 2012 04:22:48 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59707)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olenz@HIDDEN>) id 1S5ZYY-00069A-Ko
	for bug-automake@HIDDEN; Thu, 08 Mar 2012 04:22:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olenz@HIDDEN>) id 1S5ZYT-00050L-6C
	for bug-automake@HIDDEN; Thu, 08 Mar 2012 04:22:42 -0500
Received: from anoa.ica1.uni-stuttgart.de ([129.69.120.76]:44638)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olenz@HIDDEN>) id 1S5ZYS-00050F-Vi
	for bug-automake@HIDDEN; Thu, 08 Mar 2012 04:22:37 -0500
Received: from [129.69.120.71] (nyala.ica1.uni-stuttgart.de [129.69.120.71])
	by anoa.ica1.uni-stuttgart.de (Postfix) with ESMTP id 6E6BBA4255;
	Thu,  8 Mar 2012 10:22:35 +0100 (CET)
Message-ID: <4F587A58.1020906@HIDDEN>
Date: Thu, 08 Mar 2012 10:22:32 +0100
From: Olaf Lenz <olenz@HIDDEN>
Organization: Institut =?UTF-8?B?ZsO8ciBDb21wdXRlcnBoeXNpaywgVW5pdmVyc2l0?=
	=?UTF-8?B?w6R0IFN0dXR0Z2FydA==?=
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:10.0.2) Gecko/20120216 Thunderbird/10.0.2
MIME-Version: 1.0
To: bug-automake@HIDDEN
Subject: 'make dist-gz dist-xz' fails
X-Enigmail-Version: 1.3.5
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature";
	boundary="------------enigD9C7A371F06ED4779335ADA4"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 08 Mar 2012 12:54:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Thu, 08 Mar 2012 09:24:04 -0000

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enigD9C7A371F06ED4779335ADA4
Content-Type: multipart/mixed;
 boundary="------------010801020103040408040904"

This is a multi-part message in MIME format.
--------------010801020103040408040904
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi!

I'm using Automake 1.11.3 and Autoconf 2.68.

Creating two different distribution packages on the command line of make
fails:

> make dist-bzip2 dist-xz
[clip]
tardir=3Despresso-3.1.0-1-gf2e4716-dirty && ${TAR-tar} chof - "$tardir" |=

BZIP2=3D${BZIP2--9} bzip2 -c >espresso-3.1.0-1-gf2e4716-dirty.tar.bz2
if test -d "espresso-3.1.0-1-gf2e4716-dirty"; then find
"espresso-3.1.0-1-gf2e4716-dirty" -type d ! -perm -200 -exec chmod u+w
{} ';' && rm -rf "espresso-3.1.0-1-gf2e4716-dirty" || { sleep 5 && rm
-rf "espresso-3.1.0-1-gf2e4716-dirty"; }; else :; fi
tardir=3Despresso-3.1.0-1-gf2e4716-dirty && ${TAR-tar} chof - "$tardir" |=

XZ_OPT=3D${XZ_OPT--e} xz -c >espresso-3.1.0-1-gf2e4716-dirty.tar.xz
tar: espresso-3.1.0-1-gf2e4716-dirty: Cannot stat: No such file or direct=
ory
tar: Exiting with failure status due to previous errors
if test -d "espresso-3.1.0-1-gf2e4716-dirty"; then find
"espresso-3.1.0-1-gf2e4716-dirty" -type d ! -perm -200 -exec chmod u+w
{} ';' && rm -rf "espresso-3.1.0-1-gf2e4716-dirty" || { sleep 5 && rm
-rf "espresso-3.1.0-1-gf2e4716-dirty"; }; else :; fi

The problem seems to be a race condition.
"make dist-bzip2" populates the distribution dir, tars it and deletes it
after 5 seconds. During that time "make dist-xz" has started and noticed
that the distdir already exists. Unfortunately, it is deleted while
dist-xz is still packing.

Olaf

--=20
Dr. rer. nat. Olaf Lenz
Institut f=C3=BCr Computerphysik, Pfaffenwaldring 27, D-70569 Stuttgart
Phone: +49-711-685-63607

--------------010801020103040408040904
Content-Type: text/x-vcard; charset=utf-8;
 name="olenz.vcf"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="olenz.vcf"

YmVnaW46dmNhcmQNCmZuOk9sYWYgTGVueg0KbjpMZW56O09sYWYNCm9yZztxdW90ZWQtcHJp
bnRhYmxlO3F1b3RlZC1wcmludGFibGU6VW5pdmVyc2l0PUMzPUE0dCBTdHV0dGdhcnQ7SW5z
dGl0dXQgZj1DMz1CQ3IgQ29tcHV0ZXJwaHlzaWsNCmFkcjo7O1BmYWZmZW53YWxkcmluZyAy
NztTdHV0dGdhcnQ7OzcwNTY5O0dlcm1hbnkNCmVtYWlsO2ludGVybmV0Om9sZW56QGljcC51
bmktc3R1dHRnYXJ0LmRlDQp0aXRsZTpEci4gcmVyLiBuYXQuDQp0ZWw7d29yazorNDkuNzEx
LjY4NS42MzYwNw0KdGVsO2ZheDorNDkuNzExLjY4NS42MzY1OCANCnVybDpodHRwOi8vd3d3
LmljcC51bmktc3R1dHRnYXJ0LmRlL35pY3AvT2xhZl9MZW56DQp2ZXJzaW9uOjIuMQ0KZW5k
OnZjYXJkDQoNCg==
--------------010801020103040408040904--

--------------enigD9C7A371F06ED4779335ADA4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.15 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk9YelsACgkQtQ3riQ3oo/r35ACfScsz2REm+duhoOkyu3Z1UwKO
pbQAn3P/qqIhfnWLgNY0kpxcLLmcnUzl
=TlVn
-----END PGP SIGNATURE-----

--------------enigD9C7A371F06ED4779335ADA4--




Acknowledgement sent to Olaf Lenz <olenz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#10975; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.